petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPBCGSLSetPol

Sets the type of polynomial part will be used in the BiCGSTab(L) solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPBCGSLSetPol(KSP ksp, PetscBool uMROR)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate Many br
| uMROR | - set to PETSC_TRUE when the polynomial is a convex combination of an MR and an OR step. Many br

### Options Database Keys

| -ksp_bcgsl_cxpoly | - use enhanced polynomial Many br
| -ksp_bcgsl_mrpoly | - use standard polynomial Many br

Many br

### Keywords

KSP, BiCGStab(L), set, polynomial

### See Also

@()

Level:intermediate
Location:src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages